Apache JServ install problem

Apache JServ install problem

Post by td3.. » Tue, 09 Jan 2001 04:41:00



Hello.

I am getting an error while installing jserv 1.1.2 for Apache 1.3.14 on
Linux Slackware 7.1. I am a complete moron when it comes to java. I
have combed the I-net for information on this and have found very
little. During the 'make' it errors on a section referring to
JServ.class. I suspected an incorrect CLASSPATH but could not find
documentation on what my CLASSPATH should be anyways, changing it had
no effect so I guess that was not my problem. Here is the section that
appears to be the error.

Thank you!

Compiling JServ.java ...
/usr/src/ApacheJServ-
1.1.2/src/java/org/apache/jserv/JServConnection.java:85:
org.apache.jserv.JServConnection should be declared abstract; it does
not define encodeURL(java.lang.String) in
org.apache.jserv.JServConnection
public class JServConnection
^
/usr/src/ApacheJServ-
1.1.2/src/java/org/apache/jserv/JServContext.java:90:
org.apache.jserv.JServContext should be declared abstract; it does not
define getContext(java.lang.String) in org.apache.jserv.JServContext
class JServContext implements ServletConfig, ServletContext,
JServSendError, JServLogChannels {
^
/usr/src/ApacheJServ-
1.1.2/src/java/org/apache/jserv/JServSession.java:74:
org.apache.jserv.JServSession should be declared abstract; it does not
define getMaxInactiveInterval() in org.apache.jserv.JServSession
public class JServSession implements HttpSession, JServLogChannels,
Serializable {
^
Note: Some input files use or override a deprecated API.
Note: Recompile with -deprecation for details.
3 errors
make[5]: *** [JServ.class] Error 1
make[5]: Leaving directory `/usr/src/ApacheJServ-
1.1.2/src/java/org/apache/jserv'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/usr/src/ApacheJServ-
1.1.2/src/java/org/apache'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/src/ApacheJServ-1.1.2/src/java/org'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/ApacheJServ-1.1.2/src/java'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/ApacheJServ-1.1.2/src'
make: *** [all-recursive] Error 1

thank you once again for any help!

Sent via Deja.com
http://www.deja.com/

 
 
 

1. Apache Jserv install problem - syntax error for ApJServManual.

I compiled and install apache 1.3.9, and then compiled
and install ApacheJServ 1.0.
When I start the web server, it couldn't start the httpd
and output the syntax error:

Error Message:

/usr/local/apache/bin/apachectl restart: httpd not running, trying to
start
Syntax error on line 12 of
/private1/private/packages/ApacheJServ-1.0/example/jserv.conf:
Invalid command 'ApJServManual', perhaps mis-spelled or defined by a
module not included in the server configuration
/usr/local/apache/bin/apachectl restart: httpd could not be started

Any help will be much appreciated.

Kim

2. updatedb on boot up (RH 7.1)

3. Apache/JServ/Redhat install problem

4. nt & lilo

5. Problems adding Apache JServ module to Apache Web Server as a Dynamic Shared Object

6. VPN solution

7. apache, php3, jserv install question

8. Linux/multi-port serial cards device drivers - help

9. Apache install with JSERV?

10. Installing php3 and jserv with apache

11. Installing Jserv to Apache 1.3.6

12. installing Apache-JServ

13. Apache location/JServ install on Linuxppc?